Subject: Re: bug#51608: 27.2; crash on Apple Sillicon

From: Alan Glasser <[email-masked]>
Date: Sat, 6 Nov 2021 06:26:41 -0700

The application is Universal, i.e. for both Intel and Apple Silicon.  I’ve discussed this with Apple Support.  Only Intel-only software can be opened with Rosetta.

> On Nov 6, 2021, at 4:19 AM, Daniel Martín <[email-masked]> wrote:
> 
> Alan Glasser <[email-masked]> writes:
> 
>> I have installed Emacs Version 27-2 (9.0) on both a MacBook Pro 15" 2018
>> with Intel Core i9; and a MacBook Pro 16" 2021 with Apple Silicon M1
>> Max.  This version of Emacs is supposed to be Universal, i.e. both Intel
>> and Apple hardware.  It works correctly on Intel.  It crashes on M1 with
>> the message "Emacs-s86_64-10_14 quit unexpectedly."  Here is a report
>> given in that message:
>> 
> 
> I don't use a Mac with an M1 processor yet, but try the following:
> 
> Control+click Emacs.app in the /Applications folder and click Get
> Info.  In the General tab, uncheck "Open using Rosetta" and try to open
> Emacs 27.2 again.

==================================================
Dr. Alan H. Glasser , CEO
Fusion Theory & Computation, Inc.
24062 Seatter Lane NE
Kingston, WA 98346-9223
Phone: 505-690-1489, Email: [email-masked]
Zoom: https://us02web.zoom.us/j/7572950356?pwd=Y2pnVGprVHRDMGZBdkNuU2lPRHhiUT09